
import React from 'react';
import FormPage from '../../components/FormPage'

//工程方案
export default {
  btnStartRepair:({record,close,loadData,login,btn,dispatch})=> {
    const closeF=()=>{
      close();
      loadData();
    };
    const data={
      id:(record? record.ID:''),
      close:closeF,
      engineeringPlanEditClick:login.engineeringPlanEditClick,
    };
    btn.LABEL="开始维修";
    return {
      content: <FormPage formCode={'MR042'} data={data}/>,
    }
  },
  btnCompleteRepair:({record,close,loadData,login,btn,dispatch})=> {
    const closeF=()=>{
      close();
      loadData();
    };
    const data={
      id:(record? record.ID:''),
      close:closeF,
      engineeringPlanEditClick:login.engineeringPlanEditClick,
    };
    btn.LABEL="完成维修";
    return {
      content: <FormPage formCode={'MR043'} data={data}/>,
    }
  },
}
